Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/ScatterSearchVRPSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/ScatterSearchVRPSampleTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/ScatterSearchVRPSampleTest.cs	(revision 11907)
@@ -0,0 +1,92 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Algorithms.ScatterSearch;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.Instances.VehicleRouting;
+using HeuristicLab.Problems.VehicleRouting;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class ScatterSearchVRPSampleTest {
+    private const string SampleFileName = "SS_VRP";
+
+    [TestMethod]
+    [TestCategory("Samples.Create")]
+    [TestProperty("Time", "medium")]
+    public void CreateScatterSearchVRPSampleTest() {
+      var ss = CreateScatterSearchVRPSample();
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
+      XmlGenerator.Serialize(ss, path);
+    }
+
+    [TestMethod]
+    [TestCategory("Samples.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunScatterSearchVRPSampleTest() {
+      var ss = CreateScatterSearchVRPSample();
+      ss.SetSeedRandomly.Value = false;
+      SamplesUtils.RunAlgorithm(ss);
+      Assert.AreEqual(828.93686694283383, SamplesUtils.GetDoubleResult(ss, "BestQuality"));
+      Assert.AreEqual(868.63623986983077, SamplesUtils.GetDoubleResult(ss, "CurrentAverageQuality"));
+      Assert.AreEqual(1048.8333559209832, SamplesUtils.GetDoubleResult(ss, "CurrentWorstQuality"));
+      Assert.AreEqual(262622, SamplesUtils.GetIntResult(ss, "EvaluatedSolutions"));
+    }
+
+    private ScatterSearch CreateScatterSearchVRPSample() {
+      #region Problem Configuration
+      var provider = new SolomonInstanceProvider();
+      var instance = provider.GetDataDescriptors().Single(x => x.Name == "C101");
+      VehicleRoutingProblem vrpProblem = new VehicleRoutingProblem();
+      vrpProblem.Load(provider.LoadData(instance));
+      #endregion
+
+      #region Algorithm Configuration
+      ScatterSearch ss = new ScatterSearch();
+      ss.Engine = new SequentialEngine.SequentialEngine();
+      ss.Name = "Scatter Search - VRP";
+      ss.Description = "A scatter search algorithm which solves the \"C101\" vehicle routing problem (imported from Solomon)";
+      ss.Problem = vrpProblem;
+
+      var improver = ss.Problem.Operators.OfType<VRPIntraRouteImprovementOperator>().First();
+      improver.ImprovementAttemptsParameter.Value.Value = 15;
+      improver.SampleSizeParameter.Value.Value = 10;
+      ss.Improver = improver;
+
+      var pathRelinker = ss.Problem.Operators.OfType<VRPPathRelinker>().First();
+      pathRelinker.IterationsParameter.Value.Value = 25;
+      ss.PathRelinker = pathRelinker;
+
+      var similarityCalculator = ss.SimilarityCalculatorParameter.ValidValues.OfType<VRPSimilarityCalculator>().First();
+      ss.SimilarityCalculator = similarityCalculator;
+
+      ss.MaximumIterations.Value = 2;
+      ss.PopulationSize.Value = 20;
+      ss.ReferenceSetSize.Value = 10;
+      ss.Seed.Value = 0;
+      return ss;
+      #endregion
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/SimulatedAnnealingRastriginSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/SimulatedAnnealingRastriginSampleTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/SimulatedAnnealingRastriginSampleTest.cs	(revision 11907)
@@ -0,0 +1,104 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Algorithms.SimulatedAnnealing;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Optimization.Operators;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.TestFunctions;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class SimulatedAnnealingRastriginSampleTest {
+    private const string SampleFileName = "SA_Rastrigin";
+
+    [TestMethod]
+    [TestCategory("Samples.Create")]
+    [TestProperty("Time", "medium")]
+    public void CreateSimulatedAnnealingRastriginSampleTest() {
+      var sa = CreateSimulatedAnnealingRastriginSample();
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
+      XmlGenerator.Serialize(sa, path);
+    }
+    [TestMethod]
+    [TestCategory("Samples.Execute")]
+    [TestProperty("Time", "medium")]
+    public void RunSimulatedAnnealingRastriginSampleTest() {
+      var sa = CreateSimulatedAnnealingRastriginSample();
+      sa.SetSeedRandomly.Value = false;
+      SamplesUtils.RunAlgorithm(sa);
+      Assert.AreEqual(0.00014039606034543795, SamplesUtils.GetDoubleResult(sa, "BestQuality"));
+      Assert.AreEqual(5000, SamplesUtils.GetIntResult(sa, "EvaluatedMoves"));
+    }
+    private SimulatedAnnealing CreateSimulatedAnnealingRastriginSample() {
+      SimulatedAnnealing sa = new SimulatedAnnealing();
+      #region Problem Configuration
+      var problem = new SingleObjectiveTestFunctionProblem();
+      problem.BestKnownQuality.Value = 0.0;
+      problem.BestKnownSolutionParameter.Value = new RealVector(new double[] { 0, 0 });
+      problem.Bounds = new DoubleMatrix(new double[,] { { -5.12, 5.12 } });
+      problem.EvaluatorParameter.Value = new RastriginEvaluator();
+      problem.Maximization.Value = false;
+      problem.ProblemSize.Value = 2;
+      problem.SolutionCreatorParameter.Value = new UniformRandomRealVectorCreator();
+      #endregion
+      #region Algorithm Configuration
+      sa.Name = "Simulated Annealing - Rastrigin";
+      sa.Description = "A simulated annealing algorithm that solves the 2-dimensional Rastrigin test function";
+      sa.Problem = problem;
+      var annealingOperator = sa.AnnealingOperatorParameter.ValidValues
+        .OfType<ExponentialDiscreteDoubleValueModifier>()
+        .Single();
+      annealingOperator.StartIndexParameter.Value = new IntValue(0);
+      sa.AnnealingOperator = annealingOperator;
+
+      sa.EndTemperature.Value = 1E-6;
+      sa.InnerIterations.Value = 50;
+      sa.MaximumIterations.Value = 100;
+      var moveEvaluator = sa.MoveEvaluatorParameter.ValidValues
+        .OfType<RastriginAdditiveMoveEvaluator>()
+        .Single();
+      moveEvaluator.A.Value = 10;
+      sa.MoveEvaluator = moveEvaluator;
+
+      var moveGenerator = sa.MoveGeneratorParameter.ValidValues
+        .OfType<StochasticNormalMultiMoveGenerator>()
+        .Single();
+      moveGenerator.SigmaParameter.Value = new DoubleValue(1);
+      sa.MoveGenerator = moveGenerator;
+
+      sa.MoveMaker = sa.MoveMakerParameter.ValidValues
+        .OfType<AdditiveMoveMaker>()
+        .Single();
+
+      sa.Seed.Value = 0;
+      sa.SetSeedRandomly.Value = true;
+      sa.StartTemperature.Value = 1;
+      #endregion
+      sa.Engine = new ParallelEngine.ParallelEngine();
+      return sa;
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchTspSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchTspSampleTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchTspSampleTest.cs	(revision 11907)
@@ -0,0 +1,106 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Algorithms.TabuSearch;
+using HeuristicLab.Encodings.PermutationEncoding;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.Instances.TSPLIB;
+using HeuristicLab.Problems.TravelingSalesman;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class TabuSearchTspSampleTest {
+    private const string SampleFileName = "TS_TSP";
+
+    [TestMethod]
+    [TestCategory("Samples.Create")]
+    [TestProperty("Time", "medium")]
+    public void CreateTabuSearchTspSampleTest() {
+      var ts = CreateTabuSearchTspSample();
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
+      XmlGenerator.Serialize(ts, path);
+    }
+    [TestMethod]
+    [TestCategory("Samples.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunTabuSearchTspSampleTest() {
+      var ts = CreateTabuSearchTspSample();
+      ts.SetSeedRandomly.Value = false;
+      SamplesUtils.RunAlgorithm(ts);
+      Assert.AreEqual(6294, SamplesUtils.GetDoubleResult(ts, "BestQuality"));
+      Assert.AreEqual(7380.0386666666664, SamplesUtils.GetDoubleResult(ts, "CurrentAverageQuality"));
+      Assert.AreEqual(8328, SamplesUtils.GetDoubleResult(ts, "CurrentWorstQuality"));
+      Assert.AreEqual(750000, SamplesUtils.GetIntResult(ts, "EvaluatedMoves"));
+    }
+
+    private TabuSearch CreateTabuSearchTspSample() {
+      TabuSearch ts = new TabuSearch();
+      #region Problem Configuration
+      var provider = new TSPLIBTSPInstanceProvider();
+      var instance = provider.GetDataDescriptors().Where(x => x.Name == "ch130").Single();
+      TravelingSalesmanProblem tspProblem = new TravelingSalesmanProblem();
+      tspProblem.Load(provider.LoadData(instance));
+      tspProblem.UseDistanceMatrix.Value = true;
+      #endregion
+      #region Algorithm Configuration
+      ts.Name = "Tabu Search - TSP";
+      ts.Description = "A tabu search algorithm that solves the \"ch130\" TSP (imported from TSPLIB)";
+      ts.Problem = tspProblem;
+
+      ts.MaximumIterations.Value = 1000;
+      // move generator has to be set first
+      var moveGenerator = ts.MoveGeneratorParameter.ValidValues
+        .OfType<StochasticInversionMultiMoveGenerator>()
+        .Single();
+      ts.MoveGenerator = moveGenerator;
+      var moveEvaluator = ts.MoveEvaluatorParameter.ValidValues
+        .OfType<TSPInversionMoveRoundedEuclideanPathEvaluator>()
+        .Single();
+      ts.MoveEvaluator = moveEvaluator;
+      var moveMaker = ts.MoveMakerParameter.ValidValues
+        .OfType<InversionMoveMaker>()
+        .Single();
+      ts.MoveMaker = moveMaker;
+      ts.SampleSize.Value = 750;
+      ts.Seed.Value = 0;
+      ts.SetSeedRandomly.Value = true;
+
+      var tabuChecker = ts.TabuCheckerParameter.ValidValues
+        .OfType<InversionMoveSoftTabuCriterion>()
+        .Single();
+      tabuChecker.UseAspirationCriterion.Value = true;
+      ts.TabuChecker = tabuChecker;
+
+      var tabuMaker = ts.TabuMakerParameter.ValidValues
+        .OfType<InversionMoveTabuMaker>()
+        .Single();
+      ts.TabuMaker = tabuMaker;
+      ts.TabuTenure.Value = 60;
+
+      #endregion
+      ts.Engine = new ParallelEngine.ParallelEngine();
+      return ts;
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchVRPSampleTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchVRPSampleTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchVRPSampleTest.cs	(revision 11907)
@@ -0,0 +1,105 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Algorithms.TabuSearch;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.Instances.VehicleRouting;
+using HeuristicLab.Problems.VehicleRouting;
+using HeuristicLab.Problems.VehicleRouting.Encodings.Potvin;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class TabuSearchVRPSampleTest {
+    private const string SampleFileName = "TS_VRP";
+
+    [TestMethod]
+    [TestCategory("Samples.Create")]
+    [TestProperty("Time", "medium")]
+    public void CreateTabuSearchVRPSampleTest() {
+      var vrp = CreateTabuSearchVrpSample();
+      string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
+      XmlGenerator.Serialize(vrp, path);
+    }
+    [TestMethod]
+    [TestCategory("Samples.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunTabuSearchVRPSampleTest() {
+      var vrp = CreateTabuSearchVrpSample();
+      vrp.SetSeedRandomly.Value = false;
+      SamplesUtils.RunAlgorithm(vrp);
+      Assert.AreEqual(1473, SamplesUtils.GetDoubleResult(vrp, "BestQuality"));
+      Assert.AreEqual(2102.1192622950812, SamplesUtils.GetDoubleResult(vrp, "CurrentAverageQuality"));
+      Assert.AreEqual(4006, SamplesUtils.GetDoubleResult(vrp, "CurrentWorstQuality"));
+      Assert.AreEqual(119072, SamplesUtils.GetIntResult(vrp, "EvaluatedMoves"));
+    }
+
+    private TabuSearch CreateTabuSearchVrpSample() {
+      TabuSearch ts = new TabuSearch();
+      #region Problem Configuration
+      var provider = new AugeratInstanceProvider();
+      var instance = provider.GetDataDescriptors().Where(x => x.Name == "A-n62-k8").Single();
+      VehicleRoutingProblem vrpProblem = new VehicleRoutingProblem();
+      vrpProblem.Load(provider.LoadData(instance));
+      #endregion
+      #region Algorithm Configuration
+      ts.Name = "Tabu Search - VRP";
+      ts.Description = "A tabu search algorithm that solves the \"A-n62-k8\" VRP (imported from Augerat)";
+      ts.Problem = vrpProblem;
+
+      ts.MaximumIterations.Value = 200;
+      // move generator has to be set first
+      var moveGenerator = ts.MoveGeneratorParameter.ValidValues
+        .OfType<PotvinCustomerRelocationExhaustiveMoveGenerator>()
+        .Single();
+      ts.MoveGenerator = moveGenerator;
+      var moveEvaluator = ts.MoveEvaluatorParameter.ValidValues
+        .OfType<PotvinCustomerRelocationMoveEvaluator>()
+        .Single();
+      ts.MoveEvaluator = moveEvaluator;
+      var moveMaker = ts.MoveMakerParameter.ValidValues
+        .OfType<PotvinCustomerRelocationMoveMaker>()
+        .Single();
+      ts.MoveMaker = moveMaker;
+      ts.SampleSize.Value = 1000;
+      ts.Seed.Value = 0;
+      ts.SetSeedRandomly.Value = true;
+
+      var tabuChecker = ts.TabuCheckerParameter.ValidValues
+        .OfType<PotvinCustomerRelocationMoveTabuCriterion>()
+        .Single();
+      tabuChecker.UseAspirationCriterion.Value = false;
+      ts.TabuChecker = tabuChecker;
+
+      var tabuMaker = ts.TabuMakerParameter.ValidValues
+        .OfType<PotvinCustomerRelocationMoveTabuMaker>()
+        .Single();
+      ts.TabuMaker = tabuMaker;
+      ts.TabuTenure.Value = 6;
+
+      #endregion
+      ts.Engine = new ParallelEngine.ParallelEngine();
+      return ts;
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/StorableConstructorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/StorableConstructorTest.cs	(revision 11906)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/StorableConstructorTest.cs	(revision 11907)
@@ -33,11 +33,4 @@
   [TestClass]
   public class StorableConstructorTest {
-
-    // Use ClassInitialize to run code before running the first test in the class
-    [ClassInitialize]
-    public static void MyClassInitialize(TestContext testContext) {
-      PluginLoader.Assemblies.Any();
-    }
-
     [TestMethod]
     [TestCategory("General")]
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/ToStringTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/ToStringTest.cs	(revision 11906)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/ToStringTest.cs	(revision 11907)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Linq;
 using HeuristicLab.Core;
 using HeuristicLab.PluginInfrastructure;
@@ -29,15 +28,8 @@
   [TestClass]
   public class ToStringTest {
-
     private TestContext testContextInstance;
     public TestContext TestContext {
       get { return testContextInstance; }
       set { testContextInstance = value; }
-    }
-
-    // Use ClassInitialize to run code before running the first test in the class
-    [ClassInitialize]
-    public static void MyClassInitialize(TestContext testContext) {
-      PluginLoader.Assemblies.Any();
     }
 
Index: /stable/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeExtensionsTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeExtensionsTest.cs	(revision 11906)
+++ /stable/HeuristicLab.Tests/HeuristicLab.PluginInfraStructure-3.3/TypeExtensionsTest.cs	(revision 11907)
@@ -29,7 +29,4 @@
 
 namespace HeuristicLab.PluginInfrastructure.Tests {
-  /// <summary>
-  /// Summary description for TypeDiscoveryTest
-  /// </summary>
   [TestClass]
   public class TypeExtensionsTest {
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.VehicleRouting-3.4/VRPInstancesTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.VehicleRouting-3.4/VRPInstancesTest.cs	(revision 11906)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.VehicleRouting-3.4/VRPInstancesTest.cs	(revision 11907)
@@ -25,5 +25,4 @@
 using System.Text;
 using HeuristicLab.Problems.Instances;
-using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
@@ -31,9 +30,4 @@
   [TestClass]
   public class VRPInstancesTest {
-    [ClassInitialize]
-    public static void MyClassInitialize(TestContext testContext) {
-      PluginLoader.Assemblies.Any();
-    }
-
     [TestMethod]
     [TestCategory("Problems.VehicleRouting")]
Index: /stable/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GAQAPScriptTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GAQAPScriptTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GAQAPScriptTest.cs	(revision 11907)
@@ -0,0 +1,80 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.Instances.QAPLIB;
+using HeuristicLab.Problems.QuadraticAssignment;
+using HeuristicLab.Scripting;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class GAQAPScriptTest {
+    private const string ScriptFileName = "GA_QAP_Script";
+    private const string ScriptItemName = "Genetic Algorithm Script - QAP";
+    private const string ScriptItemDescription = "A scripted genetic algorithm which solves the \"" + ProblemInstanceName + "\" quadratic assignment problem (imported from Drezner)";
+    private const string ProblemInstanceName = "dre56";
+    private const string BestQualityVariableName = "bestQuality";
+
+    [TestMethod]
+    [TestCategory("Scripts.Create")]
+    [TestProperty("Time", "short")]
+    public void CreateGAQAPScriptScriptTest() {
+      var script = CreateGAQAPScript();
+      string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
+      XmlGenerator.Serialize(script, path);
+    }
+
+    [TestMethod]
+    [TestCategory("Scripts.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunGAQAPScriptTest() {
+      var script = CreateGAQAPScript();
+
+      script.Compile();
+      ScriptingUtils.RunScript(script);
+
+      var bestQuality = ScriptingUtils.GetVariable<double>(script, BestQualityVariableName);
+      Assert.AreEqual(2410.0, bestQuality, 1E-8);
+    }
+
+    private CSharpScript CreateGAQAPScript() {
+      var script = new CSharpScript {
+        Name = ScriptItemName,
+        Description = ScriptItemDescription
+      };
+      #region Variables
+      var provider = new DreznerQAPInstanceProvider();
+      var instance = provider.GetDataDescriptors().Single(x => x.Name == ProblemInstanceName);
+      var data = provider.LoadData(instance);
+      var problem = new QuadraticAssignmentProblem();
+      problem.Load(data);
+      script.VariableStore.Add(ProblemInstanceName, problem);
+      #endregion
+      #region Code
+      script.Code = ScriptSources.GAQAPScriptSource;
+      #endregion
+      return script;
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GUIAutomationScriptTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GUIAutomationScriptTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GUIAutomationScriptTest.cs	(revision 11907)
@@ -0,0 +1,54 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Scripting;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class GUIAutomationScriptTest {
+    private const string ScriptFileName = "GUI_Automation_Script";
+    private const string ScriptItemName = "GUI Automation Script";
+    private const string ScriptItemDescription = "A script that runs a genetic algorithm on a traveling salesman problem with 5 different settings for population sizes and with 10 repetitions, then opens a bubble chart of the results and chooses the appropriate values for x and y axis automatically";
+
+    [TestMethod]
+    [TestCategory("Scripts.Create")]
+    [TestProperty("Time", "short")]
+    public void CreateGUIAutomationScriptTest() {
+      var script = CreateGUIAutomationScript();
+      string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
+      XmlGenerator.Serialize(script, path);
+    }
+
+    private CSharpScript CreateGUIAutomationScript() {
+      var script = new CSharpScript {
+        Name = ScriptItemName,
+        Description = ScriptItemDescription
+      };
+      #region Code
+      script.Code = ScriptSources.GUIAutomationScriptSource;
+      #endregion
+      return script;
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchRFClassificationScriptTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchRFClassificationScriptTest.cs	(revision 11907)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchRFClassificationScriptTest.cs	(revision 11907)
@@ -0,0 +1,80 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using System.Linq;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Problems.Instances.DataAnalysis;
+using HeuristicLab.Scripting;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Tests {
+  [TestClass]
+  public class GridSearchRFClassificationScriptTest {
+    private const string ScriptFileName = "GridSearch_RF_Classification_Script";
+    private const string ScriptItemName = "Grid Search Random Forest Script - Classification";
+    private const string ScriptItemDescription = "A script that runs a grid search for random forest parameters for solving symbolic classification problems";
+    private const string ProblemInstanceName = "Mammography, M. Elter, 2007";
+    private const string ProblemInstanceDataVaribleName = "problem";
+    private const string BestSolutionVariableName = "bestSolution";
+
+    [TestMethod]
+    [TestCategory("Scripts.Create")]
+    [TestProperty("Time", "short")]
+    public void CreateGridSearchRFClassificationScriptTest() {
+      var script = CreateGridSearchRFClassificationScript();
+      string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
+      XmlGenerator.Serialize(script, path);
+    }
+
+    [TestMethod]
+    [TestCategory("Scripts.Execute")]
+    [TestProperty("Time", "long")]
+    public void RunGridSearchRFClassificationScriptTest() {
+      var script = CreateGridSearchRFClassificationScript();
+
+      script.Compile();
+      ScriptingUtils.RunScript(script);
+
+      var bestSolution = ScriptingUtils.GetVariable<IClassificationSolution>(script, BestSolutionVariableName);
+      Assert.AreEqual(0.85179407176287, bestSolution.TrainingAccuracy, 1E-8);
+      Assert.AreEqual(0.81875, bestSolution.TestAccuracy, 1E-8);
+    }
+
+    private CSharpScript CreateGridSearchRFClassificationScript() {
+      var script = new CSharpScript {
+        Name = ScriptItemName,
+        Description = ScriptItemDescription
+      };
+      #region Variables
+      var provider = new UCIInstanceProvider();
+      var instance = (UCIDataDescriptor)provider.GetDataDescriptors().Single(x => x.Name == ProblemInstanceName);
+      var data = provider.LoadData(instance);
+      script.VariableStore.Add(ProblemInstanceDataVaribleName, data);
+      #endregion
+      #region Code
+      script.Code = ScriptSources.GridSearchRFClassificationScriptSource;
+      #endregion
+      return script;
+    }
+  }
+}
